<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link type="text/css" rel="stylesheet" href="/index.css">
    <title>Document</title>
</head>
<body>
<main id="content" class="content">
    <div class="content__wrapper">
            <form class="js-content__toolbar content__toolbar">
                <label> Текст
                    <input
                        class="input text js-text"
                        type="text"
                        placeholder="Enter a task"
                        value="kek"
                    >
                </label>
                <label> Время напоминания
                    <input
                        class="input reminder-date-and-time js-reminder-date-and-time"
                        type="text"
                        placeholder="YYYY-MM-DD HH:mm:ss"
                        value="2022-10-13 16:54:00"
                    >
                </label>
                <label> Время просрочки
                    <input
                        class="input due-date-and-time js-due-date-and-time"
                        type="text"
                        placeholder="YYYY-MM-DD HH:mm:ss"
                        value="2022-10-13 16:54:00"
                    >
                </label>
                <div class="content__toolbar-buttons">
                    <button data-type="note" class="add-note-btn js-add-note-btn add-btn">
                       Add Note
                    </button>
                    <button data-type="todo" class="add-todo-btn js-add-todo-btn add-btn">
                       Add ToDo
                    </button>
                </div>
            </form>

            <button class="js-filter-expired filter-expired content__filter-expired">
               только просроченные
            </button>
        
            <button class="js-filter-unexpired filter-unexpired content__filter-unexpired">
                только не просроченные
            </button>
    
            <button class="js-filter-done filter-done content__all-items">
                только выполненные
            </button>
        
            <button class="js-filter-undone filter-undone content__all-items">
                только невыполненные
            </button>
            
            <button class="all-items js-all-items content__all-items">
                все
            </button>
        <form>
            <label> Фильтр по дате
                <input
                        class="input task-data-filter-input js-task-data-filter-input"
                        type="text"
                        placeholder="YYYY-MM-DD">
            </label>
            <button class="js-filter-date-items filter-date-items">Отфильтровать</button>
        </form>
        </div>

        <div class="js-content__task-list content__task-list"></div>
</main>

<script type="text/x-handlebars-template" id="instanceTemplate">
    <div data-id="{{id}}" class="js-task-list__item task-list__item">
        {{#if isTodo}}
        Todo
        {{else}}
        Note
        {{/if}}
        <input value="{{data.text}}" class="js-task-text task-text" type="text">
        <input value="{{data.reminderTime}}" class="js-task-reminder-date-and-time task-reminder-date-and-time" type="text">
        <input value="{{data.overdueTime}}" class="js-task-due-date-and-time task-due-date-and-time" type="text">
        <p class="item__task-is-expired-text">
            {{#if data.isOverdue}}
            Просрочено
            {{else}}
            Не просрочено
            {{/if}}
        </p>
        <button class="js-item__delete-btn"><span>Delete</span></button>
        <button class="js-item__edit-btn"><span>Edit</span></button>
        {{#if isTodo}}
        {{#if data.isDone}}
        <input class="js-item__task-completeness-checkbox" type="checkbox" checked>
        {{else}}
        <input class="js-item__task-completeness-checkbox" type="checkbox">
        {{/if}}
        {{/if}}
    </div>
</script>

<script src="https://rawgit.com/moment/moment/2.2.1/min/moment.min.js"></script>
<script type="module" src="../js/index.js"></script>
<script src="https://cdn.jsdelivr.net/npm/handlebars@latest/dist/handlebars.js"></script>
<script src="https://unpkg.com/uuid@latest/dist/umd/uuidv4.min.js"></script>
</body>
</html>